:root {
  --lightGrayishBlue: hsl(210, 46%, 95%);
  --grayishBlue: hsl(212, 23%, 69%);
  --veryDarkGrayishBlue: hsl(217, 19%, 35%);
  --desaturedDarkBlue: hsl(214, 17%, 51%);
  --white: hsl(0, 0%, 100%);
  --font-family: "Manrope", sans-serif;
  --font-size: 13px;
  --font-weight-medium: 500;
  --font-weight-bold: 700;
}
body {
  background-color: var(--lightGrayishBlue);
  font-family: var(--font-family);
  font-weight: var(--font-weight-medium);
  font-size: var(--font-size);
}
main {
  display: grid;
  place-items: center;
  min-height: 100vh;
}
/* H1 */
.sr-only:not(:focus):not(:active) {
  clip: rect(0 0 0 0);
  position: absolute;
  clip-path: inset(50%);
  width: 1px;
  height: 1px;
  overflow: hidden;
  white-space: nowrap;
}
.card {
  display: flex;
  gap: 40px;
  background-color: var(--white);
  border-radius: 10px;
  filter: drop-shadow(0px 40px 40px rgba(201, 213, 225, 0.5));
  max-width: 730px;
}
.card__image {
  width: 20rem;
  overflow: hidden;
}
.card__image img {
  border-top-left-radius: 10px;
  border-bottom-left-radius: 10px;
  min-width: 122%;
  height: 100%;
}
.card__content {
  display: flex;
  flex-direction: column;
  gap: 24px;
  padding-block: 30px;
  padding-inline-end: 40px;
  width: 30rem;
}
.card__content-title {
  color: var(--veryDarkGrayishBlue);
  font-size: 20px;
  font-weight: var(--font-weight-bold);
  line-height: 130%;
  letter-spacing: 0.25%;
}
.card__content-description {
  color: var(--grayishBlue);
  line-height: 140%;
  letter-spacing: 0.12%;
}
.card__content-infos {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 40px;
}
.card__content-profile {
  display: flex;
  align-items: center;
  gap: 16px;
}
.card__content-profile img {
  border-radius: 50%;
  width: 40px;
  height: 40px;
}
.card__content-profile div {
  display: flex;
  flex-direction: column;
}
.card__content-author {
  color: var(--veryDarkGrayishBlue);
  font-weight: var(--font-weight-bold);
  line-height: 140%;
  letter-spacing: 0.12%;
}
.card__content-date {
  color: var(--grayishBlue);
  line-height: 140%;
  letter-spacing: 0.12%;
}
.card__content-share {
  cursor: pointer;
  padding: 15px;
  border-radius: 50%;
  background-color: var(--lightGrayishBlue);
}
.card__content-share.active {
  background-color: var(--veryDarkGrayishBlue);
}
.modal {
  display: none;
  background-color: var(--veryDarkGrayishBlue);
  border: none;
  padding: 1rem 2rem;
  border-radius: 0.5rem;
  position: absolute;
  bottom: 94px;
  transform: translateX(98%);
  box-shadow: 0px 2px 5px 0px var(--veryDarkGrayishBlue);
}
.modal::after {
  content: "";
  position: absolute;
  border: 13px solid transparent;
  border-top: 13px solid var(--veryDarkGrayishBlue);
  left: 50%;
  transform: translate(-50%, -50%);
  bottom: -38px;
}
.modal__social-networks {
  display: flex;
  align-items: center;
  gap: 1rem;
}
.modal__social-networks span {
  letter-spacing: 5px;
  text-transform: uppercase;
  color: var(--grayishBlue);
}
.attribution {
  font-size: 12px;
  text-align: center;
}
.attribution a {
  color: hsl(228, 45%, 44%);
}

@media (max-width: 900px) {
  .card {
    flex-direction: column;
    max-width: 360px;
    gap: 0.4rem;
  }
  .card__image {
    width: 100%;
    height: auto;
  }
  .card__image img {
    border-bottom-left-radius: 0;
    border-top-right-radius: 10px;
    min-width: 100%;
  }
  .card__content {
    width: 100%;
    padding-inline: 2rem;
  }
  .card__content-share.active {
    background-color: var(--lightGrayishBlue);
    z-index: 999;
    position: relative;
    bottom: -13px;
  }
  .modal {
    bottom: 0;
    left: 0;
    transform: translateX(0);
    width: 100%;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    padding: 1.7rem 2rem;
  }
  .modal::after {
    display: none;
  }
}
